clang-tools 8.0.0

Functions
clang::ast_matchers Namespace Reference

## Functions
| AST_POLYMORPHIC_MATCHER (isInAbseilFile, AST_POLYMORPHIC_SUPPORTED_TYPES(Decl, Stmt, TypeLoc, NestedNameSpecifierLoc))
| Matches AST nodes that were found within Abseil files. More...
| AST_MATCHER_P (FunctionDecl, throws, internal::Matcher< Type >, InnerMatcher)
| AST_MATCHER_P (Type, isIgnored, llvm::StringSet<>, IgnoredExceptions)
| AST_MATCHER_P (FunctionDecl, isEnabled, llvm::StringSet<>, FunctionsThatShouldNotThrow)

## Function Documentation

## ◆ AST_MATCHER_P() [1/3]

clang::ast_matchers::AST_MATCHER_P | ( | FunctionDecl | ,
|  | throws | ,
|  | internal::Matcher< Type > | ,
|  | InnerMatcher |
| ) |  |

Definition at line 139 of file ExceptionEscapeCheck.cpp.

References clang::throwsException().

## ◆ AST_MATCHER_P() [2/3]

clang::ast_matchers::AST_MATCHER_P | ( | Type | ,
|  | isIgnored | ,
|  | llvm::StringSet<> | ,
|  | IgnoredExceptions |
| ) |  |

Definition at line 149 of file ExceptionEscapeCheck.cpp.

## ◆ AST_MATCHER_P() [3/3]

clang::ast_matchers::AST_MATCHER_P | ( | FunctionDecl | ,
|  | isEnabled | ,
|  | llvm::StringSet<> | ,
|  | FunctionsThatShouldNotThrow |
| ) |  |

Definition at line 157 of file ExceptionEscapeCheck.cpp.

## ◆ AST_POLYMORPHIC_MATCHER()

clang::ast_matchers::AST_POLYMORPHIC_MATCHER | ( | isInAbseilFile | ,
|  | AST_POLYMORPHIC_SUPPORTED_TYPES(Decl, Stmt, TypeLoc, NestedNameSpecifierLoc) |
| ) |  |

Matches AST nodes that were found within Abseil files.

Example matches Y but not X (matcher = cxxRecordDecl(isInAbseilFile())

#include "absl/strings/internal-file.h"
class X {};

absl/strings/internal-file.h:

class Y {};

Usable as: Matcher<Decl>, Matcher<Stmt>, Matcher<TypeLoc>, Matcher<NestedNameSpecifierLoc>

Definition at line 32 of file AbseilMatcher.h.